<div *ngIf="league">
    <h2><span jhiTranslate="typerApp.league.detail.league-details">League</span></h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="typerApp.league.name">Name</span></dt>
        <dd>
            <h2><span>{{league.name}}</span></h2></dd>
        <dd>
            <button type="button" class="btn btn-success" (click)="toggleShowTeams()">{{!showTeams ? 'Pokaż drużyny w
                lidze' : 'Ukryj drużyny'}}
            </button>
        </dd>
        <div *ngIf="showTeams">
            <dt><span jhiTranslate="typerApp.league.team">Team</span></dt>
            <dd>
                <div class="teams">
                    <div *ngFor="let team of league.teams; let last = last" class="team-and-flag">
                        <img [src]="team.imageUrl" class="flag-picture"/><a [routerLink]="['/team', team?.id ]">{{team.name}}</a>
                    </div>
                </div>
            </dd>
        </div>
    </dl>

    <h2><span jhiTranslate="typerApp.league.detail.league-details-games">Games</span></h2>
    <div class="table-responsive">
        <div class="filter-item">
            <input type="text" id="searchTeamName" [(ngModel)]="searchTeamName" name="searchTeamName"
                   placeholder="Szukaj po nazwie drużyny" class="form-control" >
        </div>
        <div class="filter-item">
            <label class="form-control-label" jhiTranslate="typerApp.league.action.size" for="field_type">Size</label>
            <select id="field_type" class="form-control" name="type" [(ngModel)]="pageSize" (change)="setPage(1)">
                <option *ngFor="let s of sizes" [value]="s.size">{{s.size}}</option>
            </select>
        </div>
        <div class="filter-item">
            <label class="form-control-label" jhiTranslate="typerApp.league.action.dateFrom" for="field_dateFrom">Date from</label>
            <div class="d-flex">
                <input id="field_dateFrom" type="date" class="form-control" name="dateFrom" [(ngModel)]="dateFrom" (change)="setDateFrom()"/>
            </div>
        </div>
        <div class="filter-item">
            <label class="form-control-label" jhiTranslate="typerApp.league.action.dateTo" for="field_dateTo">Date to</label>
            <div class="d-flex">
                <input id="field_dateTo" type="date" class="form-control" name="dateTo" [(ngModel)]="dateTo" (change)="setDateTo()"/>
            </div>
        </div>
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">Spotkanie</th>
                <th scope="col">Data rozpoczęcia</th>
                <th scope="col">Ostateczny wynik meczu</th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let game of (searchTeamName !== '' ? (games | searchByTeamName: searchTeamName) : pagedItems); let last = last">
                <td><a [routerLink]="['/game', game?.id ]">{{game.splitedteams}}</a>{{last ? ''
                    : ',
                    '}}
                </td>
                <td>{{game.date | date:'yyyy-MM-dd HH:mm:ss'}}</td>
                <td>{{game.hostResult != null && game.guestResult != null ? game.hostResult + ':' + game.guestResult :
                    'Brak wyniku'}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button class="btn btn-primary create-bet"
                                [routerLink]="['/', { outlets: { popup: 'bet/'+ -1 + '/' + game.id + '/create' } }]">
                            <span class="fa fa-plus"></span>
                            <span jhiTranslate="typerApp.bet.home.createLabel">
            Create new Bet
            </span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
        <ul *ngIf="pager.pages && pager.pages.length && searchTeamName === ''" class="pagination">
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === 1}"><a class="page-link"
                                                                                    (click)="setPage(1)">Pierwsza</a>
            </li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === 1}"><a class="page-link"
                                                                                    (click)="setPage(pager.currentPage - 1)">Poprzednia</a>
            </li>
            <li class="page-item" *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a
                    class="page-link" (click)="setPage(page)">{{page}}</a></li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === pager.totalPages}"><a class="page-link"
                                                                                                   (click)="setPage(pager.currentPage + 1)">Następna</a>
            </li>
            <li class="page-item" [ngClass]="{disabled:pager.currentPage === pager.totalPages}"><a class="page-link"
                                                                                                   (click)="setPage(pager.totalPages)">Ostatnia</a>
            </li>
        </ul>
    </div>
    <button type="submit"
            routerLink="/league"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            *ngIf='showButton'
            [routerLink]="['/', { outlets: { popup: 'league/'+ league.id + '/edit'} }]"
            replaceUrl="true"
            queryParamsHandling="merge"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
<div *ngIf="!league">
    <p>Niestety nie masz dostępu do tej ligi...</p>
</div>
